---
layout: default
---

{% assign documento = site.posts | where: 'layout', 'post' | first %}

<section id="documento">
  <article>
    <header>
      <div class="row no-gutters align-items-center justify-content-between mb-3 mt-5">
        <div class="col-6 col-lg-9">
          <h2 class="m-0 pr-3">{{ documento.author }}</h2>
        </div>

        <div class="col-6 col-lg-3 d-print-none d-flex flex-column align-items-end justify-content-center">
          <a
            href="{{ site.i18n.home.campaign.url }}"
            class="btn btn-primary btn-sm-sm btn-xs-sm btn-block"
            target="_blank">
            {{ site.i18n.home.campaign.text }}
          </a>
        </div>
      </div>

      <div class="row no-gutters align-items-center justify-content-between mb-3">
        <div class="col-9 pr-3">
          <h1 class="font-weight-bold">{{ documento.title }}</h1>
          &mdash;
          <time datetime="{{ documento.date }}">
            {{ documento.date | date: site.i18n.date.format }}
          </time>
        </div>

        <div class="col-12 col-lg-3 d-print-none d-flex flex-column align-items-end justify-content-center">
          <button class="print btn border-left btn-block mb-3">
            {{ site.i18n.home.print.text }}
            <i class="fa fa-{{ site.i18n.home.print.icon }}"></i>
          </button>

          {% include share_box.html url=page.url title=documento.title description=documento.description %}
        </div>
      </div>
    </header>

    {%- if documento.image.path -%}
      <div class="float-lg-right">
        <img
          class="img-fluid ml-lg-3 mb-lg-3"
          src="{{ documento.image.path | thumbnail: 500 }}"
          alt="{{ documento.image.description | default: documento.title }}" />
      </div>
    {%- endif -%}

    {{ documento.content }}
  </article>
</section>

<section id="sumarse" class="d-print-none">
  <h1 class="color-up">{{ site.i18n.home.form.title }}</h1>
  <img class="d-none" src="{{ site.sutty }}v1/sites/{{ site.hostname }}/invitades/cookie.png" />

  <div class="row no-gutters align-items-center">
    <div class="col-12 col-lg-6 pt-5">
      {%- assign forms = 'adhesion,adhesion_individual' | split: ',' -%}
      {% for form in forms %}
        <input
          type="radio"
          name="adhesiones"
          id="toggler-{{ form }}"
          class="toggler"
          autocomplete="off"
          {% if form == site.i18n.home.form.default %}checked{% endif %}
          />
        <label class="btn border position-absolute top {% cycle 'left','right' %}" for="toggler-{{ form }}">
          {{ site.i18n.home.form[form] }}
        </label>

        <div class="toggled collapsed fade">
          <form
            data-controller="contact"
            data-delay="30"
            action="{{ site.sutty }}v1/sites/{{ site.hostname }}/posts/{{ form }}" method="post" enctype="multipart/form-data">
            <div class="row justify-content-center">
              {%- for field in site.data.layouts[form] -%}
                {%- if field[1].skip -%}{% continue %}{%- endif -%}
                {%- assign template = field[1].type | append: '.html' -%}

                <div class="col-12 col-lg-{{ field[1].col | default: 12 }}">
                  {% include {{ template }} field=field %}
                </div>
              {%- endfor -%}

              <div class="col-12">
                <input
                  data-target="contact.submit"
                  type="submit" value="{{ site.i18n.home.form.submit }}" class="btn btn-success btn-block" />
                <small
                  data-target="contact.help"
                  class="form-text text-muted">
                  {{ site.i18n.home.form.submit_help }}
                </small>
              </div>
            </div>
          </form>
        </div>
      {% endfor %}
    </div>

    <div class="col-12 col-lg-6 mt-5 mt-lg-0 pl-lg-5">
        {%- if documento.cita -%}
        <blockquote class="blockquote">

          <div class="font-bigger d-flex flex-row align-items-center justify-content-space-between">
            <div class="mr-2 align-self-start">
              <i class="fa fa-quote-left primary"></i>
            </div>

            <div>
              {{ documento.cita | append: '' | markdownify }}
            </div>

            <div class="ml-2 align-self-end">
              <i class="fa fa-quote-right primary"></i>
            </div>
          </div>

          {%- if documento.cita_autore -%}
            <footer class="blockquote-footer text-right">
              {{ documento.cita_autore }}
            </footer>
          {%- endif -%}
        </blockquote>
      {%- endif -%}
    </div>
  </div>
</section>

{%- assign adhesiones = site.posts | where: 'layout', 'adhesion' -%}
{%- assign adhesiones_individuales = site.posts | where: 'layout', 'adhesion_individual' -%}
{%- assign total = adhesiones_individuales | size %}
{%- assign total = adhesiones | size | plus: total -%}
{%- assign adhesiones_individuales = adhesiones_individuales | where: 'public', true | where: 'draft', false -%}

<section class="mt-5" id="adhesiones">
  <header class="row align-items-center justify-content-between">
    <div class="col-12 col-lg-4">
      <h1>{{ site.i18n.home.adhesiones }}</h1>
    </div>

    <div class="col-6 col-lg-4">
      <p>
        <span class="font-weight-bold font-bigger">{{ total }}</span>
        {{ site.i18n.home.metric }}
        <i class="fa fa-line-chart"></i>
      </p>
    </div>

    <div class="col-6 col-lg-4">
      <label for="share" class="share btn border d-print-none">
        {{ site.i18n.home.share_post.text }}
        <i class="fa fa-{{ site.i18n.home.share_post.icon }}"></i>
      </label>
    </div>
  </header>

  {%- for adhesion in adhesiones -%}
    {% assign cleaned_content = adhesion.content | strip_html | strip %}
    {% if cleaned_content == empty %}{% continue %}{% endif %}
    <article id="{{ adhesion.uuid }}" class="callout">
      <header >
        <h5>
          {%- if adhesion.web -%}
            <a href="{{ adhesion.web }}" target="_blank">
              {{ adhesion.title }}
            </a>
          {%- else -%}
            {{ adhesion.title }}
          {%- endif -%}
        </h5>


        <time datetime="{{ adhesion.date }}">
          {{ adhesion.date | date: site.i18n.date.format }}
        </time>
      </header>

      {{ adhesion.content }}
    </article>
  {%- endfor -%}

  {%- for adhesion in adhesiones_individuales -%}
    {% assign cleaned_content = adhesion.content | strip_html | strip %}
    {% if cleaned_content == empty %}{% continue %}{% endif %}
    <article id="{{ adhesion.uuid }}" class="callout">
      <header >
        <h5>
          {{ adhesion.name }}
        </h5>


        <time datetime="{{ adhesion.date }}">
          {{ adhesion.date | date: site.i18n.date.format }}
        </time>
      </header>

      {{ adhesion.content }}
    </article>
  {%- endfor -%}

  <footer class="row no-gutters justify-space-between">
    {%- for adhesion in adhesiones -%}
      {%- unless adhesion.logo.path -%}
        {%- continue -%}
      {%- endunless -%}

      <div class="col mb-5">
        {%- if adhesion.web -%}
          <a href="{{ adhesion.web }}" target="_blank">
            <img
              src="{{ adhesion.logo.path | thumbnail: 200 }}"
              alt="{{ adhesion.title }}" />
          </a>
        {%- else -%}
          <img
            src="{{ adhesion.logo.path | thumbnail: 200 }}"
            alt="{{ adhesion.title }}" />
        {%- endif -%}
      </div>
    {%- endfor -%}
  </footer>
</section>
